jQuery(function ($) {
  //列のスマホ対応
  if (window.matchMedia("(max-width: 767px)").matches) {
    $("thead th:nth-child(2)").html(
      `${wp.i18n.__("Post date", "itmaroon-social-post-sync")}<br>/${wp.i18n.__(
        "Status",
        "itmaroon-social-post-sync"
      )}`
    );
    $(".hide_tr > td").attr("colspan", "1"); //隠し列のスパン
  }
  //listのアコーデオン
  let speed = 300;
  $(".tr_toggle").click(function () {
    let target_tr = $(this).parents("tbody").find(".hide_tr");
    if (target_tr.css("display") === "none") {
      target_tr.find("div").slideDown(speed);
      target_tr.slideDown(speed);
    } else {
      target_tr.find("div").slideUp(speed);
      setTimeout(function () {
        target_tr.hide();
      }, speed);
    }

    $(this).toggleClass("is_open");
  });
});
